
/* 用户自定义 CSS */
/* 重跳转 */
.dz_redirect-cont {
  box-sizing: border-box;
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 10px;
}

.dz_redirect-tips {
  width: 100%;
  margin: 30px auto;
  color: #fff;
  font-size: 16px;
  text-align: center;
}

.dz_redirect-btn {
  display: block;
  width: 120px;
  height: 40px;
  margin: 0 auto 30px;
  color: #fff;
  font-size: 16px;
  text-align: center;
  line-height: 40px;
  background-color: #FF4858;
}

/* 只有返回按钮和标题的头部-购物车、下单页等用 */
.dz_account-header-mobile {
  width: 100%;
  height: 50px;
  line-height: 50px;
}

.dz_account-header-mobile .header-nav-wrap {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 22;
  display: block;
  width: 100%;
  /* height: 50px;
  line-height: 50px; */
  /* background-color: #fff; */
  background-color: #000623 !important;
  background: linear-gradient(0deg, rgba(3, 12, 57, 0.75) -27.27%, rgba(36, 49, 118, 0.55) 100%);
  /* border-bottom: 1px solid #c7c7c7; */
}

.dz_account-header-mobile .header-nav {
  position: relative;
  width: 100%;height: 50px;
  line-height: 50px;
}
.dz_account-header-mobile .header-logo {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  padding: 0;
  left: 0;
  top: 0;
  color: #fff;
  font-size: 18px; /* 16px */
  text-align: center;
}
.dz_account-header-mobile .header-menu {
  position: absolute;
  top: 0;
  z-index: 1;
  display: block;
  padding: 0 0 0 15px;
}
.dz_account-header-mobile .header-button-icon {
  display: inline-block;
  width: 16px;
  height: 16px;
  margin: 0;
  padding: 0;
  font-size: 20px;
  fill: #000;
  vertical-align: middle;
  overflow: hidden;
}
.dz_header-account-wrap {
  position: absolute;
  right: 15px;
  top: 0;
  display: block;
  color: #000;
  font-size: 10px;
}

/* 需要显示的地方单独设置样式 */
.dz_rules-link-btn {
  position: absolute;
  right: 15px;
  top: 0;
  z-index: 1;
  display: none;
  color: #000;
  font-size: 10px;
}
.dz_rules-link-btn .header-button-icon {
  width: 18px; /* 20px */
  height: 18px; /* 20px */
}

@media screen and (min-width: 769px) {
  .dz_account-header-mobile {
    display: none !important;
  }
}

/* 覆盖样式 */
.settings-main_background,
.settings-body_background {
  background-color: #000623 !important;
} /* 背景色 */
.footer {
  height: auto;
  padding: 15px 0;
}

/* 全局登录失效提示弹窗 */
.dz_outdate-modal-cont {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}
.dz_outdate-modal-cont:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: .6;
}
.dz_outdate-modal-wrap {
  box-sizing: border-box;
  position: relative;
  width: 84%;
  max-width: 315px;
  padding: 25px 25px;
  text-align: center;
  background-color: #fff;
  border-radius: 10px;
}
.dz_outdate-modal-wrap .modal-head {
  margin: 0 0 20px 0;
}
.dz_outdate-modal-wrap .head-title {
  margin: 0;
  color: #000;
  font-size: 18px;
  font-weight: bold;
}
.dz_outdate-modal-wrap .modal-content {
  color: #666;
  font-size: 14px;
}
.dz_outdate-modal-wrap .modal-footer {
  margin: 30px 0 0 0;
}
.dz_outdate-modal-wrap .modal-link {
  position: relative;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  display: block;
  min-width: 150px;
  max-width: 160px;
  height: 40px;
  margin: 0 auto;
  border: none;
  background: transparent;
}
.dz_outdate-modal-wrap .modal-link:before {
  content: '';
  position: absolute;
  bottom: -5px;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 40px;
  border-radius: 40px;
  background-color: #00FFCE;
}
.dz_outdate-modal-wrap .modal-link .su-button-cont {
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  display: block;
  width: 100%;
  height: 40px;
  color: #fff;
  font-size: 16px;
  line-height: 40px;
  text-align: center;
  border-radius: 40px;
  display: block;
  border: 1px solid #000;
  background: #000623;
  overflow: hidden;
}

/* 页脚占位标签 */
.dz_footer-split {
  width: 100%;
  height: 30px;
}

.s-orders-main-cont {
  height: calc(100vh - 40px - 50px) !important; /* 40:订单分类栏；50:导航栏高度 */
}

/* 适配IOS 顶部刘海屏、灵动岛 */
@supports (top: constant(safe-area-inset-top)) or (top: env(safe-area-inset-top)) {
  .dz_account-header-mobile {
    height: calc(50px + constant(safe-area-inset-top));
    height: calc(50px + env(safe-area-inset-top));
  }

  .dz_account-header-mobile .header-nav-wrap {
    box-sizing: border-box;
    padding-top: constant(safe-area-inset-top);
    padding-top: env(safe-area-inset-top);
  }
}

/* 全局优惠券说明提示弹窗 */
.dz_couponTips-modal-cont {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}
.dz_couponTips-modal-cont:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: .6;
}
.dz_couponTips-modal-wrap {
  box-sizing: border-box;
  position: relative;
  width: 84%;
  max-width: 315px;
  padding: 25px 25px;
  text-align: center;
  background-color: #fff;
  border-radius: 10px;
}
.dz_couponTips-modal-wrap .modal-head {
  margin: 0 0 20px 0;
}
.dz_couponTips-modal-wrap .head-title {
  margin: 0;
  color: #000;
  font-size: 18px;
  font-weight: bold;
}
.dz_couponTips-modal-wrap .modal-content {
  color: #666;
  font-size: 14px;
  text-align: left;
}
.dz_couponTips-modal-wrap .modal-footer {
  margin: 30px 0 0 0;
}
.dz_couponTips-modal-wrap .modal-link {
  position: relative;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  display: block;
  min-width: 150px;
  max-width: 160px;
  height: 40px;
  margin: 0 auto;
  border: none;
  background: transparent;
}
.dz_couponTips-modal-wrap .modal-link:before {
  content: '';
  position: absolute;
  bottom: -5px;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 40px;
  border-radius: 40px;
  background-color: #00FFCE;
}
.dz_couponTips-modal-wrap .modal-link .su-button-cont {
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  display: block;
  width: 100%;
  height: 40px;
  color: #fff;
  font-size: 16px;
  line-height: 40px;
  text-align: center;
  border-radius: 40px;
  display: block;
  border: 1px solid #000;
  background: #000623;
  overflow: hidden;
}


/* 全局订单提示弹窗 */
.dz_orderTips-modal-cont {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99999;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}
.dz_orderTips-modal-cont:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: .6;
}
.dz_orderTips-modal-wrap {
  box-sizing: border-box;
  position: relative;
  width: 84%;
  max-width: 315px;
  padding: 25px 25px;
  text-align: center;
  background-color: #fff;
  border-radius: 10px;
}
.dz_orderTips-modal-wrap .modal-head {
  margin: 0 0 20px 0;
}
.dz_orderTips-modal-wrap .head-title {
  margin: 0;
  color: #000;
  font-size: 18px;
  font-weight: bold;
}
.dz_orderTips-modal-wrap .modal-content {
  color: #666;
  font-size: 14px;
  text-align: center;
}
.dz_orderTips-modal-wrap .modal-footer {
  margin: 30px 0 0 0;
}
.dz_orderTips-modal-wrap .modal-link {
  position: relative;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  display: block;
  min-width: 150px;
  max-width: 160px;
  height: 40px;
  margin: 0 auto;
  border: none;
  background: transparent;
}
.dz_orderTips-modal-wrap .modal-link:before {
  content: '';
  position: absolute;
  bottom: -5px;
  left: 0;
  z-index: 0;
  width: 100%;
  height: 40px;
  border-radius: 40px;
  background-color: #00FFCE;
}
.dz_orderTips-modal-wrap .modal-link .su-button-cont {
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  display: block;
  width: 100%;
  height: 40px;
  color: #fff;
  font-size: 16px;
  line-height: 40px;
  text-align: center;
  border-radius: 40px;
  display: block;
  border: 1px solid #000;
  background: #000623;
  overflow: hidden;
}